from wsgiref.simple_server import make_server

def hello_world_app(environ, start_response):
    start_response('200 OK', [('Content-type', 'text/html')])

    ans = ['<h1>Your Environ</h1>']
    for k, v in environ.items():
        if k.startswith('HTTP_'):
            ans.append('<b>%s=%s</b><br/>' % (k,v))
        else:
            ans.append('%s=%s<br/>' % (k,v))

    return ans

httpd = make_server('', 8000, hello_world_app)
print "Serving on port 8000..."
httpd.serve_forever()


